import React from 'react';
import Button from '../../components/CommonComponent/ButtonComponent/ButtonComponent'
import HeaderComponent from '../../components/CommonComponent/HeaderComponent/HeaderComponent'
require('./index.css');

export default class ChooseTaskContainer extends React.Component{
    constructor(props){
        super(props);
        this.state = {
        };
        this.closeDoor = this.closeDoor.bind(this);
    }

    componentWillMount(){

    }

    componentWillReceiveProps(nextProps){

    }

    closeDoor(){
        console.log("closeDoor");
        this.props.hidePopup();
        this.props.showOpenDoorPage()
    }


    render(){
        let {userInfo,storeInfo} = this.props;
        return(
            <div>
                <HeaderComponent
                    showHeader={CONFIG.headerStatus[1]}
                    userinfo={userInfo}
                    storeInfo={storeInfo}
                />
                <div className={"chooseTaskContainer"}>
                    <div className={"chooseTaskText font32"}>
                        <p>请选择一个有权限的任务！</p>
                    </div>
                    <div className={"chooseTaskButtons"}>
                        <Button text={"处理已知故障"} style={{'marginTop':UTILPATH.getRemByPx(40)}}/>
                        <Button text={"申报新故障"} style={{'marginTop':UTILPATH.getRemByPx(20)}}/>
                        <Button text={"设备检查"} style={{'marginTop':UTILPATH.getRemByPx(20)}}/>
                        <Button text={"设备测试"} style={{'marginTop':UTILPATH.getRemByPx(20)}}/>
                        <Button text={"确认退出，并离店"} style={{'marginTop':UTILPATH.getRemByPx(87)}} option={this.closeDoor}/>
                    </div>
                </div>
            </div>

        )
    }
}

ChooseTaskContainer.propTypes = {
};

ChooseTaskContainer.defaultProps = {
}